Description

Hi,

In the previous releases, I used to click on the missing layer row and it opens a browser to select its valid path.

The current window offers the possibility to directly rewrite the path in the dialog (and copy/paste), which is really a great improvement

when you use database tables or the same folder.

But sometimes, you may need to browse your folders to find where is the valid file and double-clicking on the row does no more do that. It

tooks time for me to realize (i did it when reporting this issue by reading #10639 although i've been moving my datas for many weeks) that

under the dialog, there was a "browser" button for that. I don't think that it is really intuitive for the user, as this button is among those

closing/validating the dialog.

Wouldn't it be better to have at the end of each missing file row a browser button (the push button one with just three dots)? The user

directly knows what it does as it becomes IMHO more intuitive.

History

#1 - 2014-08-12 03:03 AM - Jürgen Fischer

Not all datasources are file based.  And the "Browse button..." allows to set the directory of multiple selected datasources at once.

#2 - 2014-08-12 05:33 AM - Harrissou Santanna

Jürgen Fischer wrote:

Not all datasources are file based.

Yes I do agree! So maybe, only those "browsable" should have that button...unless it complicates things.

And the "Browse button..." allows to set the directory of multiple selected datasources at once.

It can still work like that as, if I'm not wrong, in the current behavior, the files that will be affected by the modifications might be selected before browsing.

The user will select many rows and push on one of their "browse" button to select the right folder. It's "just" a matter of documentation.

My main point is that it was not so obvious to me that the "Browse" button was designed to browse file for the selected row(s). I haven't really remarked it, I

think, supposing that the buttons that are below just manage the whole window.

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
#4 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown
